<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<powerTakeOff xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../shared/xml/schema/powerTakeOff.xsd"
        filename="data/shared/assets/powerTakeOffs/swadroTC1370PowerTakeOff_01.i3d"
        isSingleJoint="true" size="0.2" zOffset="0.045" minLength="0.35">

    <startNode node="startNode"/>
    <startJoint node="startJoint"/>
    <scalePart node="scalePart" referenceNode="translationPart"/>
    <translationPart node="translationPart" referenceNode="scalePart" length="0.2"/>
    <endJoint node="endJoint"/>
    <linkNode node="linkNode"/>

    <animationNodes>
        <animationNode node="rotationPart01"       rotSpeed="-2700" rotAxis="3" turnOnFadeTime="1" turnOffFadeTime="2" />
        <animationNode node="rotationPart02"   rotSpeed="2700" rotAxis="3" turnOnFadeTime="1" turnOffFadeTime="2" />
        <animationNode node="rotationPart03" rotSpeed="-2700" rotAxis="3" turnOnFadeTime="1" turnOffFadeTime="2" />
        <animationNode node="translationPart"   rotSpeed="2700" rotAxis="3" turnOnFadeTime="1" turnOffFadeTime="2" />
        <animationNode class="ShakeAnimation" node="startJoint" shaking="0.002 0.002 0 100" turnOnFadeTime="1" turnOffFadeTime="2" />
        <animationNode class="ShakeAnimation" node="scalePart" shaking="0.002 0.002 0 100" turnOnFadeTime="1" turnOffFadeTime="2" />
    </animationNodes>

    <i3dMappings>
        <i3dMapping id="startNode" node="0>" />
        <i3dMapping id="startJoint" node="0>0" />
        <i3dMapping id="endJoint" node="0>0|0" />
        <i3dMapping id="linkNode" node="0>0|0|0" />
        <i3dMapping id="rotationPart03" node="0>0|0|0|0" />
        <i3dMapping id="translationPart" node="0>0|0|1" />
        <i3dMapping id="rotationPart02" node="0>0|0|2" />
        <i3dMapping id="scalePart" node="0>0|1" />
        <i3dMapping id="rotationPart01" node="0>1" />
    </i3dMappings>
</powerTakeOff>
